notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Some details on the 2023-01-16 website outage.
We just rebooted with several updates: * new HMTLify code * no port maintainer is now highly visible (e.g. https://freshports.org/security/sssd/) * fixed search logic error when using plain/ text details at https://github.com/FreshPorts/freshports/releases/tag/2.2.34
Port details
modsecurity3-apache Intrusion detection and prevention engine / Apache Wrapper
0.0.9.b1.20 security Deleted on this many watch lists=2 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: The project was not developed further
Expired This port expired on: 2022-06-27
Maintainer: joneum@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2019-05-06 18:55:36
Last Update: 2022-06-27 11:36:20
Commit Hash: 2fb224a
People watching this port, also watch:: bash-completion, zip, openjdk8, screen, smartmontools
Also Listed In: www
License: APACHE20
Description:
Homepage    cgit ¦ Codeberg ¦ GitHub ¦ GitLab ¦ SVNWeb - no subversion history for this port
pkg-plist: as obtained via: make generate-plist
Expand this list (10 items)
Collapse this list.
  1. /usr/local/share/licenses/modsecurity3-apache-0.0.9.b1.20/catalog.mk
  2. /usr/local/share/licenses/modsecurity3-apache-0.0.9.b1.20/LICENSE
  3. /usr/local/share/licenses/modsecurity3-apache-0.0.9.b1.20/APACHE20
  4. libexec/apache24/mod_security3.so
  5. @postexec %D/sbin/apxs -e -a -n security3 %f
  6. @preunexec %D/sbin/apxs -e -A -n security3 %f
  7. share/doc/modsecurity3-apache/README.md
  8. @owner
  9. @group
  10. @mode
Collapse this list.
Dependency lines:
  • modsecurity3-apache>0:security/modsecurity3-apache
No installation instructions:
This port has been deleted.
PKGNAME: modsecurity3-apache
Flavors: there is no flavor information for this port.
distinfo:

Packages (timestamps in pop-ups are UTC):
modsecurity3-apache
ABIlatestquarterly
FreeBSD:11:aarch64pkg-fallout0.0.9.b1.19_1
FreeBSD:11:amd640.0.9.b1.19_10.0.9.b1.19_1
FreeBSD:11:armv6pkg-fallout0.0.9.b1.19_1
FreeBSD:11:i3860.0.9.b1.19_10.0.9.b1.19_1
FreeBSD:11:mipspkg-falloutpkg-fallout
FreeBSD:11:mips64pkg-falloutpkg-fallout
FreeBSD:12:aarch64pkg-falloutpkg-fallout
FreeBSD:12:amd64pkg-falloutpkg-fallout
FreeBSD:12:armv6pkg-fallout0.0.9.b1.19_1
FreeBSD:12:armv7pkg-fallout0.0.9.b1.19_1
FreeBSD:12:i386pkg-falloutpkg-fallout
FreeBSD:12:mipspkg-falloutpkg-fallout
FreeBSD:12:mips64pkg-falloutpkg-fallout
FreeBSD:12:powerpc64pkg-fallout0.0.9.b1.19_1
FreeBSD:13:aarch64pkg-falloutpkg-fallout
FreeBSD:13:amd64pkg-falloutpkg-fallout
FreeBSD:13:armv60.0.9.b1.19_1pkg-fallout
FreeBSD:13:armv7pkg-falloutpkg-fallout
FreeBSD:13:i386pkg-falloutpkg-fallout
FreeBSD:13:mipspkg-falloutpkg-fallout
FreeBSD:13:mips64pkg-falloutpkg-fallout
FreeBSD:13:powerpc640.0.9.b1.19_1pkg-fallout
FreeBSD:13:riscv64pkg-falloutpkg-fallout
FreeBSD:14:aarch64pkg-falloutpkg-fallout
FreeBSD:14:amd64pkg-falloutpkg-fallout
FreeBSD:14:armv6pkg-falloutpkg-fallout
FreeBSD:14:armv7pkg-falloutpkg-fallout
FreeBSD:14:i386pkg-falloutpkg-fallout
FreeBSD:14:mipspkg-falloutpkg-fallout
FreeBSD:14:mips64pkg-falloutpkg-fallout
FreeBSD:14:powerpc64pkg-falloutpkg-fallout
FreeBSD:14:riscv64pkg-falloutpkg-fallout
 
Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. apxs : www/apache24
  2. gcc10 : lang/gcc10
  3. as : devel/binutils
  4. autoconf>=2.69 : devel/autoconf
  5. automake>=1.16.1 : devel/automake
Runtime dependencies:
  1. apxs : www/apache24
  2. gcc10 : lang/gcc10
Library dependencies:
  1. libmodsecurity.so : security/modsecurity3
There are no ports dependent upon this port

Configuration Options:
Options name:
USES:
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://codeload.github.com/SpiderLabs/ModSecurity-apache/tar.gz/v0.0.9-beta1-20-gf692ea99?dummy=/
Collapse this list.
Port Moves
  • port deleted on 2022-06-27
    REASON: Has expired: The project was not developed further

Number of commits found: 7

Commit History - (may be incomplete: for full details, see links to repositories near top of page)
CommitCreditsLog message
0.0.9.b1.20
27 Jun 2022 11:36:20
commit hash:2fb224a12bba79baeabc41519ab19ab876baec32commit hash:2fb224a12bba79baeabc41519ab19ab876baec32commit hash:2fb224a12bba79baeabc41519ab19ab876baec32commit hash:2fb224a12bba79baeabc41519ab19ab876baec32 files touched by this commit Sanity Test Failure
Rene Ladan (rene) search for other commits by this committer
cleanup: Remove expired ports:

2022-06-25 lang/cmucl: Not supported upstream since 2017 and broken since
FreeBSD 12.1
2022-06-25 devel/qbs: Abandoned and not working with modern clang
2022-06-25 lang/cmucl-extra: lang/cmucl is not supported upstream since 2017 and
broken since FreeBSD 12.1
2022-06-25 security/protonvpn-cli: This version is deprecated and unsupported
upstream. The port needs an update, which would require a fair amount of effort.
Use OpenVPN or Wireguard with configuration files provided by ProtonVPN instead.
2022-06-27 sysutils/firstboot-growfs: A better version is available on all
FreeBSD version
2022-06-27 security/modsecurity3-apache: The project was not developed further
2022-06-29 net-mgmt/zabbix54-frontend: Unsupported by upstream
2022-06-29 net-mgmt/zabbix54-server: Unsupported by upstream
0.0.9.b1.20
28 May 2022 11:17:16
commit hash:34b9292a02fbce16463d8d8d7dae5e24f141797dcommit hash:34b9292a02fbce16463d8d8d7dae5e24f141797dcommit hash:34b9292a02fbce16463d8d8d7dae5e24f141797dcommit hash:34b9292a02fbce16463d8d8d7dae5e24f141797d files touched by this commit
Jochen Neumeister (joneum) search for other commits by this committer
security/modsecurity3-apache: Deprecate and set expiration date

https://github.com/SpiderLabs/ModSecurity-apache/commit/0488c77f69669584324b70460614a382224b4883
https://github.com/SpiderLabs/ModSecurity-apache/issues/80

NOTE:  This project is not production ready

This project should be considered under development and not production ready. 
The functionality is not complete and so should not be used.  With Apache HTTP
Server, the recommended version of ModSecurity is v2.9.x.

Sponsored by:	Netzkommune GmbH
0.0.9.b1.20
11 Nov 2021 21:35:33
commit hash:a8a9779df974f5737e626819b20a2c49dc0f3f55commit hash:a8a9779df974f5737e626819b20a2c49dc0f3f55commit hash:a8a9779df974f5737e626819b20a2c49dc0f3f55commit hash:a8a9779df974f5737e626819b20a2c49dc0f3f55 files touched by this commit
Dima Panov (fluffy) search for other commits by this committer
security/modsecurity3-apache: unbreak after
0b71d7d972e6f39c36ff9cc93dfa5c349c4a949a

After security/modsecurity3 was updated to 3.0.5, it intriduce an API breakage
for consumers.
Fix it by use corrected checkpoint of usptream repo.

With hat:	ports-secteam
0.0.9.b1.19_1
07 Apr 2021 08:09:01
commit hash:cf118ccf875508b9a1c570044c93cfcc82bd455ccommit hash:cf118ccf875508b9a1c570044c93cfcc82bd455ccommit hash:cf118ccf875508b9a1c570044c93cfcc82bd455ccommit hash:cf118ccf875508b9a1c570044c93cfcc82bd455c files touched by this commit
Mathieu Arnold (mat) search for other commits by this committer
One more small cleanup, forgotten yesterday.
Reported by:	lwhsu
0.0.9.b1.19_1
06 Apr 2021 14:31:07
commit hash:305f148f482daf30dcf728039d03d019f88344ebcommit hash:305f148f482daf30dcf728039d03d019f88344ebcommit hash:305f148f482daf30dcf728039d03d019f88344ebcommit hash:305f148f482daf30dcf728039d03d019f88344eb files touched by this commit
Mathieu Arnold (mat) search for other commits by this committer
Remove # $FreeBSD$ from Makefiles.
0.0.9.b1.19_1
26 Jul 2019 20:46:57
Revision:507372Original commit files touched by this commit
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
as defined in Mk/bsd.default-versions.mk which has moved from GCC 8.3
to GCC 9.1 under most circumstances now after revision 507371.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, everything INDEX-11 shows with a dependency on lang/gcc9 now.

PR:		238330
0.0.9.b1.19
06 May 2019 18:55:20
Revision:500924Original commit files touched by this commit
joneum search for other commits by this committer
New Port: security/modsecurity3-apache

The ModSecurity-apache connector is the connection point between Apache and
libmodsecurity (ModSecurity v3).
Said another way, this project provides a communication channel between Apache
and libmodsecurity.
This connector is required to use LibModSecurity with Apache.

The ModSecurity-apache connector takes the form of an Apache module.
The module simply serves as a layer of communication between Apache and
ModSecurity.

https://github.com/SpiderLabs/ModSecurity-apache

Sponsored by:	Netzkommune GmbH

Number of commits found: 7